Update template

PUT
https://reloop.sh/api/template/v1/:id

Path Parameters

idstringRequired

Body Parameters

namestring
  • Minimum length: 1
  • Maximum length: 255
descriptionstring
subjectstring
  • Maximum length: 500
fromEmailstring
  • Maximum length: 255
replyTostring
  • Maximum length: 255
previewTextstring
contentany[]

Example: ["value1", "value2"]

variablesobject[]
variables properties
namestringRequired
type"string""number"Required

Possible values: string | number

defaultValuestringnullRequired
status"draft""published""archived"

Possible values: draft | published | archived

import Reloop from 'reloop-email';

const reloop = new Reloop("rl_123456789");

const updatedTemplate = await reloop.template.update("tpl_123456789", {
  name: "Updated Welcome Email",
  subject: "Welcome to Reloop! (Updated)"
});
{
  "id": "con_123456789",
  "name": "Newsletter",
  "description": "example_description",
  "subject": "Welcome to Reloop",
  "fromEmail": "example_fromEmail",
  "replyTo": "example_replyTo",
  "previewText": "example_previewText",
  "organizationId": "example_organizationId",
  "createdByUserId": "example_createdByUserId",
  "status": "draft",
  "content": [],
  "variables": [
    {
      "name": "Newsletter",
      "type": "string",
      "defaultValue": null
    }
  ],
  "currentVersion": 0,
  "thumbnailUrl": "example_thumbnailUrl",
  "isDefault": true,
  "deletedAt": null,
  "createdAt": "2026-03-23T10:00:00.000Z",
  "updatedAt": "2026-03-23T10:00:00.000Z"
}

Was this page helpful?

Edit this page